## org.apache.xpath.functions
Class FuncCurrent

    java.lang.Object
      |
      +--org.apache.xpath.Expression
            |
            +--org.apache.xpath.functions.Function
                  |
                  +--org.apache.xpath.functions.FuncCurrent

public class FuncCurrent
extends Function

Execute the current() function.

See Also:
  Serialized Form
Usage:
  **For advanced use only**

Constructor Summary
`FuncCurrent()`

Method Summary
`XObject` `execute(XPathContext xctxt)` Execute the function.
`void` `fixupVariables(java.util.Vector vars, int globalsSize)` No arguments to process, so this does nothing.

Methods inherited from class org.apache.xpath.functions.Function
`callArgVisitors, callVisitors, checkNumberArgs, deepEquals, postCompileStep, setArg`

Methods inherited from class org.apache.xpath.Expression
`asIterator, asIteratorRaw, asNode, assertion, bool, canTraverseOutsideSubtree, error, execute, execute, execute, executeCharsToContentHandler, exprAddChild, exprGetChild, exprGetNumChildren, exprGetParent, exprSetParent, getColumnNumber, getExpressionOwner, getLineNumber, getPublicId, getSystemId, isNodesetExpr, isStableNumber, num, warn, xstr`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### FuncCurrent

    public FuncCurrent()

Method Detail

### execute

    public XObject execute(XPathContext xctxt)
                    throws TransformerException

  Execute the function. The function must return a valid object.
  Parameters:
    `xctxt` - The current execution context.
  Returns:
    A valid XObject.
  Throws:
    TransformerException -
  Overrides:
    execute in class Function

### fixupVariables

    public void fixupVariables(java.util.Vector vars,
                               int globalsSize)

  No arguments to process, so this does nothing.
  Overrides:
    fixupVariables in class Expression

Copyright © 2006 Apache XML Project. All Rights Reserved.